Bug 720184 - Provide native systemd unit file
Provide native systemd unit file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Vcelak
Fedora Extras Quality Assurance
:
Depends On:
Blocks: SysVtoSystemd
  Show dependency treegraph
 
Reported: 2011-07-10 13:16 EDT by Jóhann B. Guðmundsson
Modified: 2013-03-03 20:29 EST (History)
4 users (show)

See Also:
Fixed In Version: openldap-2.4.26-6.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-01 11:12:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Native systemd service file for slapd (333 bytes, text/plain)
2011-07-10 13:29 EDT, Jóhann B. Guðmundsson
no flags Details

  None (edit)
Description Jóhann B. Guðmundsson 2011-07-10 13:16:14 EDT
Description of problem:

https://fedoraproject.org/wiki/Features/SysVtoSystemd


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jóhann B. Guðmundsson 2011-07-10 13:29:15 EDT
Created attachment 512102 [details]
Native systemd service file for slapd

Note that you will need to put "configtest" section from the legacy sysv init script into a seperated script and call it from ExecStartPre= if you want to continue using and also set/adjust the $harg value accordingly in /etc/sysconfig/ldap as in 

# uncomment bla
harg=ldap:///

# uncomment bla bla
#harg=ldapi:/// 

# uncomment bla bla bla
#harg=ldaps:/// 

https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd
https://fedoraproject.org/wiki/Packaging:Tmpfiles.d
Comment 2 Jan Vcelak 2011-11-01 11:12:12 EDT
Fixed in openldap-2.4.26-6.fc17

Note You need to log in before you can comment on or make changes to this bug.